# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include empresa_videojuegos_video
class empresa_videojuegos_video {
  service { 'mysql':
    ensure  => running,
    enable  => true,
    restart => '/usr/bin/systemctl restart mysql',
  }
  exec { 'crear_indice_idx_cliente_id':
    command  => "mysql -u root -p2022iaw -D empresa_videojuegos -e \"CREATE INDEX idx_cliente_id ON compras (cliente_id);\"",
    provider => 'shell',
    require  => Service['mysql'],
  }
  exec { 'analizar_juegos':
    command  => "mysql -u root -p2022iaw -D empresa_videojuegos -e \"ANALYZE TABLE juegos;\"",
    provider => 'shell',
    require  => Service['mysql'],
  }
  exec { 'optimizar_juegos':
    command  => "mysql -u root -p2022iaw -D empresa_videojuegos -e \"OPTIMIZE TABLE juegos;\"",
    provider => 'shell',
    require  => Service['mysql'],
  }
  file { '/etc/mysql/mysql.conf.d/mysqld.cnf':
    ensure  => file,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('empresa_videojuegos_video/mysqld.cnf.erb'),
    notify  => Service['mysql'],
  }
}
